NAME(1)

NAME
ticker - scroll messages across the screen

SYNOPSIS
ticker [options] [message]

DESCRIPTION
ticker is a program that continually scrolls a given message across the screen. There is also an interface to allow other programs to change the message.

KEYS

+, [up arrow]
    Increase scroll speed.

-, [down arrw]
    Decrease scroll speed.

[space]
    Pause. Press any key to unpause.

OPTIONS

-h, --help
    Show summary of options.

-u, --upper
    Scroll text on the top line of the screen. (Default)

-l, --lower
    Scroll text on the bottom line of the screen.

-fcolor, --foreground=color
    Use the specified color as the forground color of the text that is scrolled. The colors that may be used are:
     black gray
     red brightred
     green brightgreen
     brown yellow
     blue brightblue
     magenta brightmagenta
     cyan brightcyan
     lightgray white

-bcolor, --background=color
    Use the specified color as the background color of the text that is scrolled. On most terminals, the background color can only be one of the colors listed in the first column above.

-dsecs, --delay=secs
    Number of seconds delay between updates of the display. This controls how fast the text scrolls. You may use decimals to specify faster scroll speeds. The default delay is 1 second; I find 0.1 more pleasing.

-snum, --sysv=num
    Read messages to display from the sysv shared memory segment with an id of num. This is only for use by other programs that need to be able to change the text ticker displays.

-Snum, --size=num
    Size of the shared memory segment to read, when using shared memory communication with another program. Default is 80 characters.

-csecs, --check=secs
    Minimum time between checks of the shared memory segment for a new message. Default is every second. It may in fact check considerably less often, as it only checks for a new message once per time that the current message scrolls around the screen.

message
    The message to scroll. Required unless -s is used, in which case it is optional.

NOTES
To use the other 23 or so lines of your screen for something useful while the ticker is running, you might want to use splitvt(1)

AUTHOR
Joey Hess <joey@kitenet.net>